Bug 800570 - upon logging in to the GUI, Firefox JavaScript Error Console contains errors saying it failed to parse the response body returned by /sessionAccess (portal-war's SessionAccessServlet)
upon logging in to the GUI, Firefox JavaScript Error Console contains errors ...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.3
Unspecified Unspecified
medium Severity low (vote)
: ---
: ---
Assigned To: Charles Crouch
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-06 13:18 EST by Ian Springer
Modified: 2015-02-01 18:27 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-04 03:48:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ian Springer 2012-03-06 13:18:28 EST
The problem is that the SessionAccessServlet is returning a response body that looks something like:

1:-123456789:987654321

but is not setting the Content-Type header on the response.

The browser then assumes the default content type, which is text/html, and tries to parse the response as HTML. This fails because the body is not HTML. This is not causing any functional issues, but it is an easy fix and will get rid of the cryptic errors in the error console. To fix, we just need to set the Content-Type header to text/plain, which is the correct mime type for the content.
Comment 1 Ian Springer 2012-03-06 16:25:18 EST
Fixed in master:

http://git.fedorahosted.org/git/?p=rhq/rhq.git;a=commitdiff;h=3d66148
Comment 2 Mike Foley 2012-03-12 11:42:37 EDT
per BZ traige (crouch, foley, loleary), medium priority, not targetted for JON 3.1
Comment 5 Heiko W. Rupp 2013-09-04 03:48:44 EDT
Bulk closing of some old issues

Note You need to log in before you can comment on or make changes to this bug.